commoble.bagofyurting

## Class CompressedBagOfYurtingData

- java.lang.Object
- - commoble.bagofyurting.CompressedBagOfYurtingData

    public class CompressedBagOfYurtingData
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `CompressedBagOfYurtingData.CompressedStateData`

### Field Summary

Fields
`static com.mojang.serialization.Codec<CompressedBagOfYurtingData>` `CODEC`
`static org.apache.logging.log4j.Logger` `LOGGER`

### Constructor Summary

Constructors
Constructor and Description
`CompressedBagOfYurtingData(java.util.List<net.minecraft.block.BlockState> states, java.util.List<CompressedBagOfYurtingData.CompressedStateData> data)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CompressedBagOfYurtingData` `fromNBT(net.minecraft.nbt.CompoundNBT nbt)` Reads data from nbt, logs an error if it fails to do so
`java.util.List<CompressedBagOfYurtingData.CompressedStateData>` `getData()`
`java.util.List<net.minecraft.block.BlockState>` `getStates()`
`net.minecraft.nbt.CompoundNBT` `toNBT()`
`BagOfYurtingData` `uncompress()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGGER

    public static final org.apache.logging.log4j.Logger LOGGER

#### CODEC

    public static final com.mojang.serialization.Codec<CompressedBagOfYurtingData> CODEC

### Constructor Detail

#### CompressedBagOfYurtingData

    public CompressedBagOfYurtingData(java.util.List<net.minecraft.block.BlockState> states,
                                      java.util.List<CompressedBagOfYurtingData.CompressedStateData> data)

Parameters:
  `states` - A list of blockstates
  `data` - A list of CompressedStateDatas, where the stateindex of each data object refers to an index in the states list

### Method Detail

#### getStates

    public java.util.List<net.minecraft.block.BlockState> getStates()

#### getData

    public java.util.List<CompressedBagOfYurtingData.CompressedStateData> getData()

#### uncompress

    public BagOfYurtingData uncompress()

#### toNBT

    public net.minecraft.nbt.CompoundNBT toNBT()

#### fromNBT

    public static CompressedBagOfYurtingData fromNBT(net.minecraft.nbt.CompoundNBT nbt)

Reads data from nbt, logs an error if it fails to do so

Parameters:
  `nbt` - The nbt to read from
Returns:
  A present data object if successful, or an empty data if it failed